# GeneratorExtension

class xsdata.models.config.GeneratorExtension(type=None, class_name=None, import_string=None, prepend=False, apply_if_derived=False)

  Add decorators or base classes on the generated classes that match the class name pattern.

  Parameters:

    - type (`ExtensionType`) – The extension type

    - class_name (`str`) – The class name or a pattern to apply the extension

    - import_string (`str`) – The import string of the extension type

    - prepend (`bool`) – Prepend or append decorator or base class

    - apply_if_derived (`bool`) – Apply or skip if the class is already a subclass

  __eq__(other)

    Return self==value.

  __hash__ = None